
export const defaultItemImg = {
  archetype: "systems/fvtt-imperium5/images/icons/archetype_transparent.webp",
  familiarite: "systems/fvtt-imperium5/images/icons/archetype_transparent.webp",
  specialite: "systems/fvtt-imperium5/images/icons/archetype_transparent.webp",
  nature: "systems/fvtt-imperium5/images/icons/nature_transparent.webp",
  trait: "systems/fvtt-imperium5/images/icons/nature_transparent.webp",
  symbiose: "systems/fvtt-imperium5/images/icons/nature_transparent.webp",
}

/**
 * Extend the basic ItemSheet with some very simple modifications
 * @extends {ItemSheet}
 */
export class Imperium5Item extends Item {

  constructor(data, context) {
    if (!data.img) {
      data.img = defaultItemImg[data.type]
    }
    super(data, context)
  }

}
